# Webhooks

Swagged definition is located [here](https://api.pixon.app/swagger/index.html). Our integration connectors utilize these endpoints.

{% content-ref url="/pages/-M0whdCOiKWCV2vKIwpk" %}
[Microsoft Power Automate](/integrations/microsoft-power-automate.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M0whmDBh\_S7rTsSAUAq" %}
[Azure Logic Apps](/integrations/azure-logic-apps.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M0whxW52\_n1a\_B0Xu\_P" %}
[IFTTT](/integrations/ifttt.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M0wi29XDr4AKBHNBOlk" %}
[Zapier](/integrations/zapier.md)
{% endcontent-ref %}

## Post data to Pixon data source

<mark style="color:green;">`POST`</mark> `https://api.pixon.app/hooks/incoming/:id`

This endpoint allows you to post arbritary information to a specific datasource. The datasource may then be used by components on your displays. This is particulary useful for integrations with external systems. This is the endpoint used by Pixon's integration connectors.

#### Path Parameters

| Name | Type   | Description                                            |
| ---- | ------ | ------------------------------------------------------ |
| id   | string | Guid ID of the data source to send the information to. |

#### Headers

| Name           | Type   | Description                                                                                           |
| -------------- | ------ | ----------------------------------------------------------------------------------------------------- |
| ApiKey         | string | Api key with access for the specified datasource. Can be omitted if Authentication header is set.     |
| Authentication | string | OAuth bearer token for the current user sending the data. Can be omitted if the ApiKey header is set. |

#### Request Body

| Name | Type   | Description                                                                                                                                                                              |
| ---- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|      | object | Arbritary json object to send to the datasource. Components that then connects to the datasource must understand the format sent. Either natively or by using specific render templates. |

{% tabs %}
{% tab title="200 Hook was successfully retrieved." %}

```
```

{% endtab %}

{% tab title="401 User does not have access to Pixon or the specified data source" %}

```
```

{% endtab %}

{% tab title="404 No data source is configured for the user that is able to accept the hook body" %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pixon.app/api/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
